Ubuntu

Abiword flickers hard when scrolling (regression)

Reported by MMlosh on 2012-06-30
72
This bug affects 13 people
Affects Status Importance Assigned to Milestone
abiword (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

The issue cannot be captured by a screen recording program.

VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

It makes abiword almost useless for documents that have more than 1/2 of a page.
I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
additonally - the black background looks extremely bad

A video is attached.
Recording laptop screen didn't do any good, I recorded and external display instead.

MMlosh (mmlosh) wrote :

Dear Canonical,
It fills me with frustration that you chose to distribute our
development version of abiword-2.92 with your LTS 12.04 release. This
was done without any consultation with the abiword community AT ALL.
Please revert to abiword-2.8.6 ASAP.If this is not possible please
advise me as to how you plan to fix these bugs since you don't upgrade
packages either.

Martin Sevior

On Sun, Jul 1, 2012 at 2:46 AM, MMlosh <email address hidden> wrote:
> Public bug reported:
>
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> ** Affects: abiword (Ubuntu)
> Importance: Undecided
> Status: New
>
>
> ** Tags: precise regression-release
>
> --
> You received this bug notification because you are a member of AbiWord
> Stable Builds, which is subscribed to abiword in Ubuntu.
> https://bugs.launchpad.net/bugs/1019621
>
> Title:
> Abiword flickers hard when scrolling (regression)
>
> Status in “abiword” package in Ubuntu:
> New
>
> Bug description:
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1019621/+subscriptions

MMlosh (mmlosh) wrote :

Debian testing (where the pkg comes from) is updating periodically
I tried the version found in there.
did not help, the issue is not solved.

Which version is there?
(Do abiword -->help->about abiword)

On Sun, Jul 1, 2012 at 1:39 PM, MMlosh <email address hidden> wrote:
> Debian testing (where the pkg comes from) is updating periodically
> I tried the version found in there.
> did not help, the issue is not solved.
>
> --
> You received this bug notification because you are a member of AbiWord
> Stable Builds, which is subscribed to abiword in Ubuntu.
> https://bugs.launchpad.net/bugs/1019621
>
> Title:
> Abiword flickers hard when scrolling (regression)
>
> Status in “abiword” package in Ubuntu:
> New
>
> Bug description:
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1019621/+subscriptions

MMlosh (mmlosh) wrote :

Oh. I accidentelly deleted the version line while rephrasing the message.

It's 2.9.2+svn20120603-1

You can see which versions were available in debian in here:
http://packages.debian.org/changelogs/pool/main/a/abiword/current/changelog.html

packages not supported by cannonical are usually copied at random from debian testing and noone tests anything.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in abiword (Ubuntu):
status: New → Confirmed
Erick Brunzell (lbsolost) wrote :

We badly need to try and get this fixed before 12.04.1 releases. I found two other bugs both marked invalid; bug 960089, and bug 991399. Since Lubuntu ships with Abiword as it's default word processor I subscribed Julien Lavergne in hopes he'll be able to advise.

While Lubuntu won't build a 12.04.1 release I'd think we could get the reversion to abiword-2.8.6 into proposed updates after which I'd be willing to perform SRU testing on the same so we could then move it to recommended updates.

OTOH I see someone appears to be trying to build a PPA:

https://launchpad.net/~degeneracypressure/+archive/abiword

No packages yet but maybe someone could collaborate with Eliah Kagan to get a fix figured out for this.

Erick Brunzell (lbsolost) wrote :

Just decided to see if any changes in Quantal may have improved the situation so I downloaded and burned Lubuntu i386 20120709, tested abiword using the live session with existing abiword docs, and there is no apparent change, that is scrolling is still a mess and some odd screen artifacts are present.

I rather believe that we should listen to Martin Sevior and downgrade to abiword-2.8.6 ASAP.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1019621

tags: added: iso-testing
summary: - Abiword flickers hard when scrolling (regression)
+ Precise abiword version needs to be reverted to stable release prior to
+ 12.04.1

I only addressed Precise in that title change because Quantal is still in early stages of development so additional bug fixes may be possible in QQ.

I'm sorry that I failed to adequately test abiword during Precise development :^(

Hi Eric,

As maintainer of abiword I urge you to switch to abiword-2.8.6. Debian
testing has moved on to 2.9.3 which is a considerable improvement of
2.9.2 but it still contains many bugs. On the other hand
Debian-testing is for people who want to help software projects by
providing feedback rather than have code that "Just Works".
I think that most Ubtuntu users are in this category though.

Cheers,

Martin

On Tue, Jul 10, 2012 at 8:27 PM, Erick Brunzell <email address hidden> wrote:
> Just decided to see if any changes in Quantal may have improved the
> situation so I downloaded and burned Lubuntu i386 20120709, tested
> abiword using the live session with existing abiword docs, and there is
> no apparent change, that is scrolling is still a mess and some odd
> screen artifacts are present.
>
> I rather believe that we should listen to Martin Sevior and downgrade to
> abiword-2.8.6 ASAP.
>
> --
> You received this bug notification because you are a member of AbiWord
> Stable Builds, which is subscribed to abiword in Ubuntu.
> https://bugs.launchpad.net/bugs/1019621
>
> Title:
> Precise abiword version needs to be reverted to stable release prior
> to 12.04.1
>
> Status in “abiword” package in Ubuntu:
> Confirmed
>
> Bug description:
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1019621/+subscriptions

@ Martin,

My hope is to get the devs to revert to a stable version of abiword for 12.04.1 which is due out next month. In the meanwhile I'll hopefully cook up a sloppy work-around for those who already have abiword-2.92 installed.

As an iso-tester I have to accept a large part of the blame for not adequately testing abiword during Precise development, but I'm only human and I goofed :^(

Lionel Le Folgoc (mrpouit) wrote :

Xubuntu and Lubuntu ship abiword by default. We (Xubuntu) noticed that someone synced abiword 2.9 from Debian testing, but nobody had time to follow up, and it ended more or less like "if no important bug is reported, then this version is ok". No idea for Lubuntu, Julien may know. And unfortunately, bugs were reported after the release.

The revert is almost straightforward: I tried for quantal, a few small fixes were needed because of glib, binutils-gold and one lib that is now gtk3 only, but that was easy. The only reverse-build-dependency (pyabiword) still builds fine.

I haven't uploaded to quantal because I don't know the impact of the change: are settings messed up when you do 2.8 -> 2.9 -> 2.8?

For precise, I'm not sure the revert is eligible as a StableReleaseUpdate.

> Debian testing has moved on to 2.9.3 which is a considerable improvement of
> 2.9.2 but it still contains many bugs. On the other hand
> Debian-testing is for people who want to help software projects by
> providing feedback rather than have code that "Just Works".

I guess you're aware that testing is now frozen, so the current version (2.9.2+svn20120603-1) is what will be in the next Debian stable (modulo a few bugfix patches, but I doubt the release team will accept a new upstream release). So it's not really better than Ubuntu...

Erick Brunzell (lbsolost) wrote :

@ Lionel,

Thanks for your comment, it's very helpful. I know a search would answer this question but I'm lazy ;^/

Does Xubuntu plan on a 12.04.1 release?

I apologize again for not adequately testing abiword during the Precise dev cycle.

Hi everyone,
To be fair, the really bad, bad bugs like this one appeared after the
most recent gtk-3 (3.2?) release that introduced smooth scrolling by
default. You likely tested abiword before then. That change badly
affected abiword and we've battling it ever since. While current
abiword-2.9.3 is much better it still has a number of issues. Since
abiword-2.8.6 uses gtk-2 it is not affected.

Abiword-2.9.2 does have new features not implemented in 2.8.6 but it
sounds so bad it hard for me to think anybody has used it much.

Cheers

Martin

On Tue, Jul 10, 2012 at 10:31 PM, Erick Brunzell <email address hidden> wrote:
> @ Lionel,
>
> Thanks for your comment, it's very helpful. I know a search would answer
> this question but I'm lazy ;^/
>
> Does Xubuntu plan on a 12.04.1 release?
>
> I apologize again for not adequately testing abiword during the Precise
> dev cycle.
>
> --
> You received this bug notification because you are a member of AbiWord
> Stable Builds, which is subscribed to abiword in Ubuntu.
> https://bugs.launchpad.net/bugs/1019621
>
> Title:
> Precise abiword version needs to be reverted to stable release prior
> to 12.04.1
>
> Status in “abiword” package in Ubuntu:
> Confirmed
>
> Bug description:
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1019621/+subscriptions

I may be close to a work-around but it's a bit scary. The most scary part is that if the user fails to revert the repos back to Precise they'll totally blow up their OS :^(

I also ran out of gas on locking multiple packages:

http://ubuntuforums.org/showthread.php?t=2022112

But I'm tired and I'm sure I'll see things 12 hours from now that I can't see now.

Le 07/10/2012 02:10 PM, Lionel Le Folgoc a écrit :
> Xubuntu and Lubuntu ship abiword by default. We (Xubuntu) noticed that
> someone synced abiword 2.9 from Debian testing, but nobody had time to
> follow up, and it ended more or less like "if no important bug is
> reported, then this version is ok". No idea for Lubuntu, Julien may
> know. And unfortunately, bugs were reported after the release.
We had mostly the same behaviour on Lubuntu. We wanted the 2.8, and
realized during the cycle that the 2.9 was synced.

I'm fine with uploading the 2.8, but yes, it would be nice if the
settings are not messed up during the process.

Regards,
Julien Lavergne

I posted a temporary work-around here:

http://ubuntuforums.org/showpost.php?p=12093593&postcount=20

Can't say I'm crazy about it because end users sometimes fail to follow instructions and/or copy-n-paste commands properly, but I felt I must try and provide something.

I'm in hopes someone with the ability to do so can get a PPA up and running soon.

Jonathan Marsden (jmarsden) wrote :

In case it helps, I turned Erick's commands from the forum post into a shell script revert-abiword.sh

Erick Brunzell (lbsolost) wrote :

@ Lionel,

Can you tell me if Xubuntu is planning a 12.04.1 release, and if so when?

I stumbled upon this:

https://twitter.com/XubuntuLinux/status/195582498263142401

And Distrowatch says the same thing but AFAIK Ubuntu 12.04.1 is not due until August 23rd.

I typically only iso-test Ubuntu and Lubuntu but I thought I might be able to increase the heat on this bug by testing Xubuntu 12.04.1 iso's if Xubuntu plans on producing them ;^)

I realize it's doubtful that we'll get a package reversion but maybe we can get more resources focused on fixing this by reporting the problem during 12.04.1 testing.

Since Abiword is not a default app in Ubuntu, and since Lubuntu will not build a point release, I'm in hopes that you will ;^)

Lionel Le Folgoc (mrpouit) wrote :

I don't know if Xubuntu will do a point release, you should ask the Xubuntu project or testing/QA leaders. Anyway, this tweet looks wrong (if there's a point release, it should be coordinated with Ubuntu 12.04.1).

I'm doubtful about a reversion too, because it would change the program from gtk3 back to gtk2 (abi compatiblity, bleh!), and I still haven't had any answer to my question (would a 2.9.x abiword config break horribly with a 2.8 abiword?).

FYI, I've put abiword 2.8.6 packages for precise in my ppa (untested, use at your own risk).

Changed in abiword (Ubuntu):
status: Confirmed → Incomplete
Erick Brunzell (lbsolost) wrote :

Why go from Confirmed to Incomplete?

What further info is required?

It's clear that the version of abiword in Precise (and Quantal) is largely unusable. I even listed two duplicates so I'm changing this back to confirmed.

If more info is needed let me know.

Changed in abiword (Ubuntu):
status: Incomplete → Confirmed
Jeremy Bicha (jbicha) wrote :

I think this bug report is a bit of an over-reaction. From what I've read and duplicated, there is only one significant bug in Abiword in Ubuntu 12.04 (which also affects 12.10): scrolling with a mousewheel or edge of a laptop's touchpad doesn't work. Scrolling with the scrollbar works fine though. Notably, the GTK scrolling bug has nothing in particular to do with Abiword 2.92 being any more unstable than 2.8.6 except for the fact that the GTK3 developers made an API change rather late in the 3.4 development cycle.

I'm not able to duplicate the video in this bug report on Ubuntu with the Ambiance theme. Is it something unique to Lubuntu or Xubuntu's theme? Do you have a similar problem with any other apps? What graphics driver/card are you using?

If there are any other high-impact bugs in Abiword, please report them separately.

For a number of reasons, I believe the Stable Release Update (SRU) team will be very skeptical of reverting an app shipped in a Ubuntu release to an earlier version. Typically, a minimal patch to fix the specific problem is preferred. Alternatively, it may be possible to convince the SRU team to accept a new stable release since it would presumably be more stable and supported than the unstable snapshot we currently have.

I have to say the lack of confidence from the Abiword developers (and the lack of a release schedule) is frustrating for us distro packagers.

bwat47 (bwat47) wrote :

There are plenty of other issues with this version of abiword too, scrolling doesn't work at ALL for me. This is alpha quality software and its absurd that its in the repos.

Hi everyone,

abiword-2.8.6 will not break an abiword-2.9.2 configuration.

If you can't roll back to 2.8.6 your should at least upgrade to 2.9.3
which has far fewer bugs.

Cheers

Martin

On Sun, Jul 15, 2012 at 11:02 PM, Lionel Le Folgoc <email address hidden> wrote:
> I don't know if Xubuntu will do a point release, you should ask the
> Xubuntu project or testing/QA leaders. Anyway, this tweet looks wrong
> (if there's a point release, it should be coordinated with Ubuntu
> 12.04.1).
>
> I'm doubtful about a reversion too, because it would change the program
> from gtk3 back to gtk2 (abi compatiblity, bleh!), and I still haven't
> had any answer to my question (would a 2.9.x abiword config break
> horribly with a 2.8 abiword?).
>
> FYI, I've put abiword 2.8.6 packages for precise in my ppa (untested,
> use at your own risk).
>
> ** Changed in: abiword (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are a member of AbiWord
> Stable Builds, which is subscribed to abiword in Ubuntu.
> https://bugs.launchpad.net/bugs/1019621
>
> Title:
> Precise abiword version needs to be reverted to stable release prior
> to 12.04.1
>
> Status in “abiword” package in Ubuntu:
> Incomplete
>
> Bug description:
> The issue cannot be captured by a screen recording program.
>
> VGA compatible controller: Intel Corporation Mobile 4 Series Chipset
> Integrated Graphics Controller (rev 07)
>
> It makes abiword almost useless for documents that have more than 1/2 of a page.
> I see giant gray squares, usually taking from 1/3 to 2/3 of document space.
> additonally - the black background looks extremely bad
>
> A video is attached.
> Recording laptop screen didn't do any good, I recorded and external display instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/1019621/+subscriptions

@Jeremy Bicha

This used to be a "scrolling flashes madly" bug report. The video adapter info is still in the first post.
It's fluxbox and green zimek theme.
All other applications are allright. (If you know which one may be affected, ask specifically)

Erick Brunzell (lbsolost) wrote :

@ Jeremy Bicha,

Thank you for your response.

Although this bug and the two I marked as duplicates are somewhat unrelated I based my decisions about marking the dupes and renaming this bug on three things; (1) they were all related to the Precise version of abiword, (2) as Martin Sevior says I know abiword 2.8.6 is quite stable in Oneiric, and (3) the dupes had already been marked invalid. If I did anything wrong I'll be glad to correct it.

I should also note that I tested my work-around from comment #18 extensively on Ubuntu, Lubuntu, Xubuntu, and Kubuntu (somewhat of a mix of i386 and amd64) without encountering any issues, but I fear that an end user may seriously hose things - specifically fail to change the repos back to Precise :^(

I have tested Lionel's PPA on Ubuntu i386 only and it seems fine but I plan on testing it with Lubuntu, Xubuntu, and Kubuntu before I give it a 100% thumbs up (I'm just tied up with other issues). I asked for additional testing at the forums:

http://ubuntuforums.org/showpost.php?p=12106840&postcount=25

My point regarding both my work-around and Lionel's PPA is that I now know abiword 2.8.6 will work fine in Precise with no apparent problems or regressions.

While I very much expect to have the package reversion denied I felt that the LTS nature of Precise deserved a bold, albeit perhaps misguided, move. Based on Martin's most recent statements maybe we could get abiword 2.9.3 into Quantal, and then possibly Precise proposed, or maybe that's just crazy?

BTW the "scrolling" issue seems to be worse with 'overlay-scrollbars' than with standard scrollbars, I don't have a laptop so I'm unsure about touchpads.

I do get the temporary screen flashes described in this bug report with my Intel 82945G/GZ Integrated Graphics box but not with VIA CN700/P4M800, I haven't yet tried it on my nVidia C61 [GeForce 7025 / nForce 630a] box.

Many thanks again, and apologies if I did anything wrong.

Erick

Lionel Le Folgoc (mrpouit) wrote :

@jbicha:

Yes, I agree that a revert isn't really suitable for a SRU (I wouldn't even ask the SRU team...). However, I think a new snapshot isn't either (the diff between current quantal and 2.9.3 is huge!).

> I have to say the lack of confidence from the Abiword developers (and
> the lack of a release schedule) is frustrating for us distro packagers.

And I have to say that when there's no release schedule, or when you're not confident it will be out on time, or when you've no contact with upstream, you don't include a development snapshot in a distribution... (for example, this is the reason why we chose to keep Xfce 4.8 in precise, because at feature freeze time, the 4.10 schedule was still a bit uncertain :). Especially since SRU requirements are more and more strict. Which means users are stuck with an unstable version, and they are frustrated, and upstream developers rightfully get mad at Ubuntu.

Erick Brunzell (lbsolost) wrote :

Apologies in advance, but doesn't discussion of how upstream and downstream projects communicate belong elsewhere?

Don't get me wrong, I'm not criticizing, in fact one of the reasons I failed to test abiword properly in Precise was due to the amount of time I was devoting to mailing lists.

We know devs seldom spend time at the forums and the reason is obvious; if they spend too much time at a forum or on a mailing list they have no time to develop :^(

I notice with the forums shifting more and more how-to's to the wiki it further complicates communication, but that's not what this bug report is about!

We need to focus on the most sane way of getting a stable 'abiword' into Precise which is an LTS :^)

Erick Brunzell (lbsolost) wrote :

I've just spent quite a bit of time testing the current version of abiword in Quantal and all seems quite well. This is the most current snippet from the changelog:

abiword (2.9.2+svn20120603-2) unstable; urgency=low

  * build verbosity increased with --disable-silent-rules
  * lintian-overrides:
    + 'hardening-no-fortify-functions' (false-positives).
    + 'dev-pkg-without-shlib-symlink' (libabiword-2.9.so is a library,
      not a symlink).
  * new patches:
    + format-hardening.patch to avoid FTBFS on --with-gtk2 build.
    + fix-wheel-scrolling.patch (Closes: #672149).
    + fix-paste.patch (backported) with fix for
      "Crash on unicode character paste" (Closes: #681060).
    + no-dbl-buf.patch to disable double buffering in order to prevent
      crash on 'Paste Unformatted'.

 -- Dmitry Smirnov <email address hidden> Fri, 17 Aug 2012 11:08:23 +1000

abiword (2.9.2+svn20120603-1) unstable; urgency=low

Certainly it needs to be tested by other users but this is a huge step in the right direction. Many thanks to Dmitry Smirnov.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in abiword (Ubuntu Precise):
status: New → Confirmed
StefanHuszics (stefan-huszics) wrote :

I would just like to add that IME the issues with 2.9.2 is a LOT worse than just problems with scrolling. When I open docs created in 2.86 and try to fix everything that is wrongly positioned and whatnot, 2.9.2 keeps crashing on me every 5 minutes. That makes 2.9.2 compleately unusable for me.

MMlosh, thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect BUGNUMBER
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

Erick Brunzell, regarding your title change on 2012-07-10:
summary: - Abiword flickers hard when scrolling (regression)
+ Precise abiword version needs to be reverted to stable release prior to
+ 12.04.1

Please do not hijack this bug report title and change the focus. For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

This bug should remain focused on the original problem reported, and not allow scope creep to bury it.

Regarding the sidebar discussion on whether or not to revert a released repo, this should happen on an appropriate mailing list ( http://www.ubuntu.com/support/community/mailinglists might be a good start for determining which mailing list to use), or a separate report focusing on exactly this.

Thank you all for your understanding.

Changed in abiword (Ubuntu):
status: Confirmed → Incomplete
summary: - Precise abiword version needs to be reverted to stable release prior to
- 12.04.1
+ Abiword flickers hard when scrolling (regression)
MMlosh (mmlosh) wrote :

Tell me what info you need and I'll give it to you.
No automatic uploading of my sound configuration.

Changed in abiword (Ubuntu):
status: Incomplete → Confirmed
MMlosh (mmlosh) wrote :

ALSO: This bug is now almost entirely about reverting the version.

It would mean way more sense to keep this one and report my particular issue in a new bug.
No matter what your rulebook says.

Erick Brunzell (lbsolost) wrote :

I continue to test abiword in Quantal and it looks really good, even the version currently in Quantal proposed. So I owe a huge thank you to both Dmitry Smirnov and Jeremy Bicha.

Based on that I really hope we can somehow get a working version of abiword into Precise before 12.04.2, presumably into Precise proposed first and then into Precise updates.

I have reviewed this:

https://wiki.ubuntu.com/StableReleaseUpdates

And I truly believe that we need to find a way to get this fixed in Precise as soon as possible based on this criteria:

"Bugs which do not fit under above categories, but (1) have an obviously safe patch and (2) affect an application rather than critical infrastructure packages (like X.org or the kernel). "

I mean as it stands abiword is buggy and generally unusable in Precise which is supported until April 2017, and I expect many more LTS users to upgrade between the release of 12.04.2 and the EOL of the Lucid desktop edition in April ;^)

I'd be glad to help in any way I can but I've been quite ill and my abilities are therefore extremely limited. That's in addition to long-standing limitations due to neurological damage over a decade ago that prevents me from being able to use IRC chat, etc.

I'm just an end user/tester that recognizes a need to fix a bug.

BTW bug 1043986 is probably a duplicate of this, but I'd think it should be fixed in Quantal if all updates are applied.

Erick Brunzell (lbsolost) wrote :

After considerable testing I opened bug 1069634 so we can hopefully get a true working version of abiword in Precise prior to 12.04.2.

I have no doubt that I did so in a somewhat ineloquent manner but I'm just a worn out old end user/iso-tester that is trying to get something fixed :^)

Julien Lavergne (gilir) wrote :

I backported abiword package from quantal to precise, you can test it to see if the result is better. It's available in Lubuntu Devs staging PPA : https://launchpad.net/~lubuntu-dev/+archive/staging
I'm not sure it will be suitable for a SRU, but if we can confirmed that the new version is working on precise, that would be nice.

Erick Brunzell (lbsolost) wrote :

OK, I've done a lot of testing now. First of all this does seem to be related to bug #960089. It's hard to explain other than to say certain hardware is more adversely effected than other hardware. And certainly those using a laptop with only a touchpad are pretty much up a creek w/o a paddle.

Regarding the use of Quantal 'abiword" in Precise I get "page jumps" sometimes when typing in multi-page documents so "abiword 2.8.6" is still the only "truly stable" version of Abiword to use in Precise.

Oddly Quantal abiword works perfectly in Quantal ............ just not so well in Precise where it produces that "page jump".

This PPA works better in Precise:

https://launchpad.net/~mrpouit/+archive/ppa?field.series_filter=precise

The unrelated xfce packages seem to have no deleterious effects on either Ubuntu or Lubuntu.

So with that occasional "page jump" I sadly don't think the Quantal version of abiword is quite stable enough when used in Precise to justify an SRU :^(

I am concerned about both Ubuntu and Xubuntu being stuck with a broken 'abiword' when 12.04.3 is released the end of January but I don't know what we can do about it.

Please do see:

https://bugs.launchpad.net/ubuntu/+source/abiword/+bug/960089/comments/16

I'm simply not smart enough to know what to do next :^(

Erick Brunzell (lbsolost) wrote :

OK, I'm way in over my head here ;^(

But when I try to reproduce that "page jump while typing in a multiple page document" problem in Lubuntu I can't?

Note: I'm specifically referring to that as a "problem" rather than a bug because it's not truly a reproducible "bug" that effects the Ubuntu repos :^)

I'm not at all sure of this but it seems like it may be related to the integration of 'abiword-plugin-mathview' and 'libgtkmathview0c2a' ???

There seems to be a difference between Ubuntu, Lubuntu, and Xubuntu between Abiword's depends and recommends?

Regardless, at this point I'm just lost, and sadly worthless regarding what to do, but it seems just wrong to keep shipping a broken 'abiword' in both Ubuntu and Xubuntu since they're LTS (more so in Xubuntu since it's a default app) ........... and we can expect more users to upgrade when 12.04.2 is released at the end of January and when 10.04 reaches EOL in April :^(

I truly wish I could be of more help but I feel like the scarecrow from the Wizard of Oz ........ if I only had a brain ;^)

MMlosh (mmlosh) wrote :

Oh, that sounds like a tangled story.
(And indeed everything would be easier if this version never reached Precise)
At least if it was possible to ship previous abiword as abiword-stable or something...

BTW: April? Oh, thanks for the reminder.. I need to start planning migrations....
.....To 12:04 with broken abiword? Awww indeed.

Eric,

Thanks for all your work on this issue.

On 11/24/2012 08:02 AM, Erick Brunzell wrote:

> There seems to be a difference between Ubuntu, Lubuntu, and Xubuntu
> between Abiword's depends and recommends?

Assuming they all use the same repositories and the same version of the
abiword package, this cannot be the case. Dependencies are defined
within the package itself.

For confusing troubleshooting situations like this, it can be helpful to
go back to known clean OS installations, and to document exactly what
you do for each test. So you might consider setting up a fresh VM for
each of Ubuntu, Xubuntu and Lubuntu 12.04, all i386. Update them all.
Add abiword to each of them. Note what version it is in each case. (If
you need to do the testing on real hardware, not VMs, to see the
problem, then this is going to be a fair amount of work).

Now test for the bug/issue/problem under discussion in each VM, and note
your results.

A quick check in an Lubuntu 12.04 i386 VM shows I am running abiword
2.9.2+svn20120213-1 -- but I do not see flickering when scrolling. I'm
guessing this means testing needs to be done on certain specific real
physical hardware to replicate this problem? Do we have a clear
definition of what subset of hardware that is?

I'd attempt some of this testing myself, but I don't know if VMs are
good enough (probably not), or whether I have appropriate hardware, and
I am not all that convinced I want to spend the time. These are all
desktop OS images (not servers), and Ubuntu 12.10 Quantal is already
released. If the backport or the PPA are insufficient for someone using
abiword in Ubuntu 12.04 Precise on the specific hardware affected, such
users can (it seems) very likely upgrade to Ubuntu 12.10 Quantal, and
the issue will then be solved for them.

How many desktop/laptop users are there who truly need to stay with
Ubuntu 12.04 Precise, and who have the specific hardware concerned, and
who use abiword, and who find the backport and PPA versions insufficient?

Jonathan

Jonathan Marsden (jmarsden) wrote :

@MMlosh: You wrote:

> I need to start planning migrations.... To 12:04 with broken abiword? Awww indeed.

I think you would do better to upgrade all the way to Ubuntu 12.10 Quantal, which as far as we can tell does not have this issue.

Is there some reason you are unable to do this?

MMlosh (mmlosh) wrote :

Well.
I actually have only one or maybe two LTS machines.
One has an old user, who isn't really capable of adapting to changes every 6 months.
The other machine is not really in shape, but it works. No X11. No real reason to update every 6 months.

But I guess I'll have to skip the LTS this time (for the first machine).
I hope I'd be able to configure the xfce to be at least similar to the xfce found in 10.04

Erick Brunzell (lbsolost) wrote :

@ MMlosh, I think you'd be fine using Xubuntu 12.04 LTS with Lionel's PPA to update 'abiword':

https://launchpad.net/~mrpouit/+archive/ppa?field.series_filter=precise

I don't know about the ' xfce4-volumed-pulse' update because I seldom use Xubuntu but I doubt that Lionel would shoot you if you were to send him a PM and ask.

@ Jonathan, I really don't think that Lubuntu should be too concerned about this. It's fixed in 12.10 and our 12.04 was not LTS, but I maintain over 40 individual PC's so I stuck with Ubuntu (using metacity) for 12.04 because it's supported until April 2017.

And this particular bug is hardware related! It seems to also be related to bug #960089 but it's not a true duplicate. Maybe they were just fixed at about the same time in Quantal? I first noticed both bugs were fixed shortly before Quantal was released.

It effects my Intel Atom 230 w/i945 graphics the worst but to a lesser degree also my Sempron LE-1250 w/nVidia C61 [GeForce 7025 / nForce 630a]. I also have an old VIA C7 w/P4M800 graphics that's not effected at all. But all were effected by bug #960089.

Stay tuned for more specific results of using Julien's staging ppa version, it's interesting ;^)

Erick Brunzell (lbsolost) wrote :
Download full text (7.0 KiB)

This relates only to using Julien's staging PPA. I wrote a test case before beginning:

http://ubuntuforums.org/showpost.php?p=12325491&postcount=8

Please ignore what I'd tried prior to that in that forum thread! It's a BAD IDEA because you then can't downgrade 'fontconfig-config' and 'libfontconfig1' if so desired!!!

I also posted about that at Lubuntu QA:

https://lists.launchpad.net/lubuntu-qa/msg01620.html

But no one jumped up to help so I continued on my own. No problem in Lubuntu:

lance@lance-desktop:~$ sudo apt-get install abiword
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  abiword-common libabiword-2.9
Recommended packages:
  abiword-plugin-grammar abiword-plugin-mathview
The following packages will be upgraded:
  abiword abiword-common libabiword-2.9
3 upgraded, 0 newly installed, 0 to remove and 10 not upgraded.
Need to get 4,739 kB of archives.
After this operation, 1,191 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ppa.launchpad.net/lubuntu-dev/staging/ubuntu/ precise/main libabiword-2.9 i386 2.9.2+svn20120603-8~precise1~ppa1 [1,974 kB]
Get:2 http://ppa.launchpad.net/lubuntu-dev/staging/ubuntu/ precise/main abiword-common all 2.9.2+svn20120603-8~precise1~ppa1 [1,609 kB]
Get:3 http://ppa.launchpad.net/lubuntu-dev/staging/ubuntu/ precise/main abiword i386 2.9.2+svn20120603-8~precise1~ppa1 [1,156 kB]
Fetched 4,739 kB in 8s (542 kB/s)
(Reading database ... 124756 files and directories currently installed.)
Preparing to replace libabiword-2.9 2.9.2+svn20120213-1 (using .../libabiword-2.9_2.9.2+svn20120603-8~precise1~ppa1_i386.deb) ...
Unpacking replacement libabiword-2.9 ...
Preparing to replace abiword-common 2.9.2+svn20120213-1 (using .../abiword-common_2.9.2+svn20120603-8~precise1~ppa1_all.deb) ...
Unpacking replacement abiword-common ...
Preparing to replace abiword 2.9.2+svn20120213-1 (using .../abiword_2.9.2+svn20120603-8~precise1~ppa1_i386.deb) ...
Unpacking replacement abiword ...
Processing triggers for shared-mime-info ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Setting up libabiword-2.9 (2.9.2+svn20120603-8~precise1~ppa1) ...
Setting up abiword-common (2.9.2+svn20120603-8~precise1~ppa1) ...
Setting up abiword (2.9.2+svn20120603-8~precise1~ppa1) ...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
lance@lance-desktop:~$

Upgrading 'abiword' in Lubuntu was a piece of cake and it works great!

Not so much in Ubuntu. Abiword is not a default app in Ubuntu but with a freshly installed and updated Ubuntu Precise if I want to install 'abiword' I get:

lance@lance-desktop:~$ sudo apt-get install abiword
[sudo] password for lance:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  abiword-common abiword-plugin-grammar abiword-plugin-mathview libabiword-2.9
  libgdome2-0 libgdome2-cpp-smart0c2a libgsf-1-114 libgsf-1-common
  libgtkmathview0c2a liblink-grammar4 libloudmouth1...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers